Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class StorageLoadBalancer

    java.lang.Object
      org.apache.cassandra.service.StorageLoadBalancer

All Implemented Interfaces:
  IEndPointStateChangeSubscriber

    public class StorageLoadBalancer

extends java.lang.Object
implements IEndPointStateChangeSubscriber

Field Summary
`static StorageLoadBalancer` | `instance`

Method Summary
`java.util.Map<java.net.InetAddress,java.lang.Double>` | `getLoadInfo()`
`void` | `onAlive(java.net.InetAddress endpoint, EndPointState state)`
`void` | `onChange(java.net.InetAddress endpoint, java.lang.String stateName, ApplicationState state)`
`void` | `onDead(java.net.InetAddress endpoint, EndPointState state)`
`void` | `onJoin(java.net.InetAddress endpoint, EndPointState epState)` Use to inform interested parties about the change in the state for specified endpoint
`void` | `onRemove(java.net.InetAddress endpoint)`
`void` | `startBroadcasting()`
`void` | `waitForLoadInfo()` Wait for at least BROADCAST_INTERVAL ms, to give all nodes enough time to report in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final StorageLoadBalancer instance

Method Detail

### onChange

    public void onChange(java.net.InetAddress endpoint,
                         java.lang.String stateName,
                         ApplicationState state)

  Specified by:
    `onChange` in interface `IEndPointStateChangeSubscriber`

### onJoin

    public void onJoin(java.net.InetAddress endpoint,
                       EndPointState epState)

  Description copied from interface: `IEndPointStateChangeSubscriber`
  Use to inform interested parties about the change in the state for specified endpoint

  Specified by:
    `onJoin` in interface `IEndPointStateChangeSubscriber`
  Parameters:
    `endpoint` - endpoint for which the state change occurred.
    `epState` - state that actually changed for the above endpoint.

### onAlive

    public void onAlive(java.net.InetAddress endpoint,
                        EndPointState state)

  Specified by:
    `onAlive` in interface `IEndPointStateChangeSubscriber`

### onDead

    public void onDead(java.net.InetAddress endpoint,
                       EndPointState state)

  Specified by:
    `onDead` in interface `IEndPointStateChangeSubscriber`

### onRemove

    public void onRemove(java.net.InetAddress endpoint)

  Specified by:
    `onRemove` in interface `IEndPointStateChangeSubscriber`

### getLoadInfo

    public java.util.Map<java.net.InetAddress,java.lang.Double> getLoadInfo()

### startBroadcasting

    public void startBroadcasting()

### waitForLoadInfo

    public void waitForLoadInfo()

  Wait for at least BROADCAST_INTERVAL ms, to give all nodes enough time to report in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation